# Consultar NFC-e por Número e Série

## Endpoint

<mark style="color:blue;">`GET`</mark> `https://sandbox-api.invoisys.com.br/api/nfce/consultarsefazpornumeroserie`

Realizar a consulta de uma NFC-e por seu número/série, retornando todos os seus dados

#### Headers

| Name          | Type   | Description                           |
| ------------- | ------ | ------------------------------------- |
| Content-type  | string | `application/x-www-form-urlencoded​​` |
| Accept        | string | `application/json​​`                  |
| Authorization | string | `bearer <valor>`                      |

#### Request Body

| Name               | Type    | Description                                                                  |
| ------------------ | ------- | ---------------------------------------------------------------------------- |
| cnpj               | string  | CNPJ da empresa emitente sem formatação Exemplo: `17921427000125`​           |
| numero             | integer | Número da NFC-e                                                              |
| serie              | integer | Série da NFC-e                                                               |
| sobrescreverStatus | boolean | Define se o retorno da consulta irá sobrescrever o status atual do documento |

{% tabs %}
{% tab title="302 " %}

```javascript
{
  "dadosDoDocumento": {
    "id": 1668306,
    "chaveDeAcesso": "13191117921427000125650010000021849123412341",
    "dataHoraEmissao": "2019-11-04T10:48:52",
    "dataDeAutorizacao": "2019-11-04T10:52:31",
    "documentoComErro": false,
    "codigoStatusSEFAZ": "100",
    "descricaoStatusSEFAZ": "Autorizado o uso da NF-e",
    "protocoloSEFAZ": "113190007577604",
    "urlConsultaViaQRCode": null,
    "urlConsultaViaChaveDeAcesso": null,
    "documentoJaEmitidoAnteriormente": false,
    "status": {
      "key": 0,
      "value": "Autorizado"
    }
  },
  "acoes": {
    "corrigirDocumento": false,
    "cancelar": false,
    "enviarContingencia": false,
    "tentarNovamenteMaisTarde": false,
    "entrarEmContatoComSuporteImediatamente": false,
    "emitirProximoDocumentoNormal": null
  },
  "excecao": null
}
```

{% endtab %}

{% tab title="400 " %}

```javascript
"Empresa não localizada."
```

{% endtab %}
{% endtabs %}

## APIs Relacionadas 🎈

* [Consulta NFC-e por ID](/invoisys/endpoints/emissao-notas/nfc-e-1/api-consulta-nfc-e-por-id.md)
* [Consulta NFC-e por Chave de Acesso](/invoisys/endpoints/emissao-notas/nfc-e-1/api-consulta-nfc-e-por-chave-de-acesso.md)
* [Consulta Paginada de NFC-es](/invoisys/endpoints/emissao-notas/nfc-e-1/api-consulta-paginada-de-nfc-es.md)

## Referências à API 📌

* [Passo-a-Passo da NFC-e](/invoisys/getting-started/documentos-fiscais/emissao/nfc-e/passo-a-passo.md)
* [Fluxograma - Envio Contigência SEFAZ​](/invoisys/getting-started/documentos-fiscais/emissao/nfc-e/fluxo-operacional/envio-contingencia-sefaz-nfc-e-flux.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://integracao.gitbook.io/invoisys/endpoints/emissao-notas/nfc-e-1/api-consulta-nfc-e-por-numero-e-serie.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
